/************************/
/* HEADER */
/************************/

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;

  /* Because we want header to be sticky later*/
  height: 9.6rem;
  padding: 0 4.8rem;
  position: relative;
}

.main-logo-site-search {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  height: 6.2rem;
}

.site-search {
  margin-left: 6rem;
  padding: 1rem;
  width: 400px;
}

/************************/
/* NAVIGATION */
/************************/

.main-nav-list {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 10rem;
}

.main-nav-link:link,
.main-nav-link:visited {
  display: inline-block;
  text-decoration: none;
  color: #333;
  font-weight: 500;
  font-size: 1.8rem;
  transition: all 0.3s;
}

.main-nav-link:hover,
.main-nav-link:active {
  color: #cf711f;
}

.main-nav-link.nav-cart:link,
.main-nav-link.nav-cart:visited {
  display: flex;
  padding: 1.2rem 2.4rem;
  /* border-radius: 9px; */
  color: #fff;
  background-color: #e67e22;
}

.main-nav-link.nav-cart:hover,
.main-nav-link.nav-cart:active {
  background-color: #cf711f;
}

/* MOBILE */
.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;

  display: none;
}
.icon-mobile-nav {
  height: 4.8rem;
  width: 4.8rem;
  color: #333;
}

.icon-mobile-nav[name="close-outline"] {
  display: none;
}

/* STICKY NAVIGATION */
.sticky .header {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 8rem;
  padding-top: 0;
  padding-bottom: 0;
  background-color: rgba(255, 255, 255, 0.97);
  z-index: 999;
  box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);
}

.sticky .section-hero {
  margin-top: 9.6rem;
}

/************************/
/* FOOTER SECTION */
/************************/

.footer {
  padding: 12.8rem 0;
  border-top: 1px solid #eee;
}

.grid--footer {
  grid-template-columns: 1.5fr 1fr 1fr 1fr 1fr;
}
.grid--footer > * {
  margin: 0 auto;
}
.grid--footer div {
  display: grid;
  justify-items: center;
}

.logo-col {
  display: flex;
  flex-direction: column;
}

.footer-logo {
  display: block;
  margin-bottom: 3.2rem;
}

.social-links {
  list-style: none;
  display: flex;
  gap: 2.4rem;
}

.social-icon {
  height: 2.4rem;
  width: 2.4rem;
}

.copyright {
  font-size: 1.4rem;
  line-height: 1.6;
  color: #767676;
  margin-top: auto;
}

.footer-heading {
  font-size: 1.8rem;
  font-weight: 500;
  margin-bottom: 4rem;
  text-transform: uppercase;
}

.contacts {
  font-style: normal;
  font-size: 1.6rem;
  line-height: 1.6;
}

.address {
  margin-bottom: 2.4rem;
}

.footer-nav {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
}

.footer-link:link,
.footer-link:visited {
  text-decoration: none;
  font-size: 1.6rem;
  color: #767676;
  transition: all 0.3s;
}

.footer-link:hover,
.footer-link:active {
  color: #555;
}

/************************/
/* BELOW 1400px (Reduce Some Sizes, Above 1200px) */
/************************/

@media (max-width: 87.5em) {
  html {
    /* 9px / 16px = 56.25% */
    font-size: 56.25%;
  }
  .main-nav-list {
    gap: 8rem;
  }
}

/************************/
/* BELOW 1200px (Large devices, Above 992px) */
/************************/

@media (max-width: 75em) {
  html {
    /* 8px / 16px = 0.5 = 50% */
    font-size: 50%;
  }
  .header {
    padding: 0 3.2rem;
  }
  .main-nav-list {
    gap: 6rem;
  }
  .site-search {
    margin-left: 2rem;
    width: 280px;
  }
  .heading-primary {
    font-size: 4.4rem;
  }
}

/************************/
/* BELOW 992px (Medium devices, Above 768px) */
/************************/

@media (max-width: 62em) {
  html {
    /* 7px / 16px = 43.75% */
    font-size: 43.75%;
  }
  /* MOBILE NAVIGATION */
  .btn-mobile-nav {
    display: block;
    z-index: 9999;
  }

  .main-nav {
    background-color: rgba(255, 255, 255, 0.97);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    transform: translateX(100%);

    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease-in;

    /* Hide navigation */
    /* Allows NO transitions at all */
    /* display: none; */

    /* 1) Hide it visually */
    opacity: 0;

    /* 2) Make it unaccessible to mouse and keyboard */
    pointer-events: none;

    /* 3) Hide it from screen readers */
    visibility: hidden;
  }

  .nav-open .main-nav {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(0);
    z-index: 9999;
  }

  .nav-open .icon-mobile-nav[name="close-outline"] {
    display: block;
  }

  .nav-open .icon-mobile-nav[name="menu-outline"] {
    display: none;
  }

  .main-nav-list {
    flex-direction: column;
    gap: 4.8rem;
  }
  .main-nav-link:link,
  .main-nav-link:visited {
    font-size: 3rem;
  }
}

/************************/
/* BELOW 768px (Medium devices, Above 576px) */
/************************/

@media (max-width: 48em) {
  html {
    /* 6px / 16px = 37.5% */
    font-size: 37.5%;
  }
  .site-search {
    margin-left: 1rem;
    width: 200px;
  }
  .footer .grid {
    gap: 0.5rem;
    row-gap: 6rem;
  }
  .grid--footer {
    grid-template-columns: repeat(4, 1fr);
  }
  .grid--footer div {
    grid-row: 2;
    grid-column: span 4;
  }
}

/************************/
/* BELOW 576px (Small devices, Above 280px) */
/************************/

@media (max-width: 36em) {
  html {
    /* 6px / 16px = 31.25% */
    font-size: 31.25%;
  }
  .site-search {
    margin-left: 1rem;
    width: 140px;
  }
  .heading-primary {
    font-size: 3rem;
  }
}
